import chalk from 'chalk';

const cat = async (httpClient) => {
  return await httpClient.get('https://aws.random.cat/meow')
    .then((res) => {
      return res.data.file;
    })
    .catch((e) => {
      console.log(`${chalk.red('Error:')} the Cat API is unavailable`);
    });
};

export default { name: 'cat', execute: cat };
